{{- define "library.configMap" -}}
{{- range $filename := .Values.propertyFiles }}
{{- $filetype := $filename.type | default "data" }}
{{- $configFile := (tpl ( $filename.name ) $) }}
{{- $fileExists := $.Files.Glob $configFile }}
{{- if $fileExists }}
apiVersion: v1
kind: ConfigMap
metadata:
  {{- $shortName := base $configFile | replace (ext $configFile) "" }}
  name:  {{ $.Chart.Name }}-{{ $shortName }}
  labels:
    {{- include "library.labels" $ | nindent 4 }}
{{- if eq $filetype "data"}}
data:
{{ tpl (($.Files.Glob $configFile ).AsConfig | indent 2 ) $ }}
{{- else if eq $filetype "binaryData"}}
binaryData:
  {{ base $configFile }}: |-
{{ $.Files.Get $configFile | b64enc | indent 4 }}
{{- end }}
---
{{- end }}
{{- end }}
{{- end -}}